> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flintai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all AI-SPM models

> List all AI-SPM models for a tenant workspace, ordered by last_seen descending



## OpenAPI

````yaml /flintai/api-reference/openapi.json get /aispm-models/tenants/{tenant_id}/workspaces/{workspace_id}
openapi: 3.0.3
info:
  contact: {}
  description: Flint AI Platform API
  license:
    name: Flint AI
    url: https://www.sandboxaq.com/legal/eula
  title: Flint AI Platform API
  version: 1.0.0
servers:
  - description: Flint AI Platform (per-tenant instance)
    url: https://{instance}.flintai.dev/api/v1
    variables:
      instance:
        default: your-instance
        description: Your Flint AI instance subdomain
security: []
paths:
  /aispm-models/tenants/{tenant_id}/workspaces/{workspace_id}:
    get:
      tags:
        - aispm-models
      summary: Get all AI-SPM models
      description: >-
        List all AI-SPM models for a tenant workspace, ordered by last_seen
        descending
      operationId: GetAllAispmModels
      parameters:
        - description: Tenant ID
          in: path
          name: tenant_id
          required: true
          schema:
            type: string
        - description: Workspace ID
          in: path
          name: workspace_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/engine_output.EngineDataPage'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Not Found
      security:
        - BearerAuth: []
components:
  schemas:
    engine_output.EngineDataPage:
      properties:
        cursor:
          type: string
        header:
          items:
            type: string
          type: array
        rows:
          items:
            items: {}
            type: array
          type: array
        total:
          type: integer
        total_sampling:
          type: number
      required:
        - cursor
        - header
        - rows
      type: object
    common.RequestError:
      description: Error responses returned by the API
      properties:
        code:
          example: 400
          type: integer
        message:
          example: Invalid request
          type: string
      required:
        - code
        - message
      type: object
  securitySchemes:
    BearerAuth:
      description: Use this header with a Bearer token to authenticate requests.
      in: header
      name: Authorization
      type: apiKey

````